Manual POD Upload
Usecase
This API can be used for manually uploading the POD Document for a given AWB.
Path
POST https://www.clickpost.in/api/v1/pod/manual-shipment-pod/?key=*****
Query Parameters
Query Parameters to be passed directly in the URL.
| Field Name | Data Type | Field | Description | Max Length | Example |
|---|---|---|---|---|---|
key | String | Mandatory | Unique API key | 100 | Provided by Clickpost team |
Sample Payload
{
"awb": 123123,
"pod_url": "https://pyck-res-bucket.s3.amazonaws.com/shipment_pods/28212312019/2026-08-13/SAMPLE_POD_TEST_10.png",
"courier_partner":"570",
"account_code":"Test"
}Payload Description
| Field | Type | Description |
|---|---|---|
| awb | Mandatory | AWB Number for which the POD needs to be uploaded. Please note that this AWB should already be registered in ClickPost system. |
| pod_url | Mandatory | Any link containing the POD document will work here. If S3 link is not available then we will convert it into a S3 link to store in our system. |
| courier_partner | Mandatory | courier partner Id of the AWB number. See full list here- https://carriers.clickpost.ai/ |
| account_code | Mandatory | account code of the AWB number |
Sample Responses
{
"meta": {
"status": 200,
"message": "Success",
"success": true
}
}{
"meta": {
"status": 400,
"message": "ERROR MESSAGE",
"success": false
}
}{
"meta": {
"status": 500,
"message": "Oops! Internal server error in Clickpost",
"success": false
}
}Updated 13 days ago
Did this page help you?
